Create ticket

Create a ticket from a service. Associate your service via the serviceId, componentId, or circuitId returned from the existing-services route. Ticket types include - Access Request, Billing, Customer Service, Remote Hands, and Technical Support.

Request
Request Body schema: application/json

Ticket request body. There are different request bodies for each ticket type. Prerequisites include having the ticket schema from ticket-details route.

One of:
ticketType
required
string
componentId
string
Array of objects
customerReferenceId
string
description
string
estimatedArrivalDate
string <date>
estimatedArrivalTime
string <time>
idNumber
string
issuingState
string
poNumber
string
preciseLocation
string
serviceId
string
Responses
200

Success

post/services/service-management/v1/create-ticket
Request samples
application/json
{
  • "ticketType": "Access Request",
  • "componentId": "a1X60000004namIEAQ",
  • "contacts": [
    • {
      • "contactType": "Primary",
      • "fullName": "John Smith",
      • "email": "john.smith@zayo.com",
      • "phone": "3038858963"
      }
    ],
  • "customerReferenceId": "Ticket #123",
  • "description": "test",
  • "estimatedArrivalDate": "2019-08-24",
  • "estimatedArrivalTime": "20:20:39+00:00",
  • "idNumber": "123",
  • "issuingState": "CO",
  • "poNumber": "n/a",
  • "preciseLocation": "DEN2 Floor:1, Row:1.12",
  • "serviceId": "a0M6000000Mve6iEAB"
}
Response samples
application/json
"{ \"apiVersion\": \"v1\", \"data\": {\n \"status\": \"New\",\n \"ticketId\": \"5004z00001dIuveAAC\",\n \"ticketNumber\": \"TTN-0005833575\",\n \"customerReferenceId\": \"Ticket #123\",\n \"dateTimeOpened\": \"2022-04-25T20:29:49.000+0000\"\n}}"